%define upstream_name    Devel-GlobalDestruction
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Expose PL_dirty, the flag which marks global
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.11
BuildRequires: perl-devel
BuildArch:  noarch
Obsoletes:  perl-Devel-GlobalDestruction < 0.130.0-4

%description
Perl's global destruction is a little tricky to deal with WRT finalizers
because it's not ordered and objects can sometimes disappear.

Writing defensive destructors is hard and annoying, and usually if global
destruction is happenning you only need the destructors that free up non
process local resources to actually execute.

For these constructors you can avoid the mess by simply bailing out if
global destruction is in effect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-3.mga8
+ Revision: 1503824
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-2.mga7
+ Revision: 1282787
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.140.0-1.mga7
+ Revision: 1128532
- update to 0.14

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-6.mga6
+ Revision: 1025506
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.130.0-5.mga6
+ Revision: 970239
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 0.130.0-4.mga6
+ Revision: 885407
- Convert to noarch package

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 739211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 684318
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 664039
- update to 0.13

* Fri Feb 07 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 585326
- update to 0.12

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 525092
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.110.0-1.mga4
+ Revision: 432201
- update to 0.11

* Wed May 29 2013 tv <tv> 0.90.0-3.mga4
+ Revision: 430050
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 365759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 291656
- update to 0.09

* Sun Aug 05 2012 shlomif <shlomif> 0.80.0-1.mga3
+ Revision: 278705
- New sha1
- New version 0.08

* Mon Jun 18 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 261537
- update to 0.06

* Tue Jun 05 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 254857
- update to 0.05

* Fri Jul 08 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 120374
- update to 0.04

* Sat Jun 11 2011 jquelin <jquelin> 0.30.0-3.mga2
+ Revision: 103513
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 31620
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 24469
- fix specs
- imported package perl-Devel-GlobalDestruction


* Thu Dec 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2011.0
+ Revision: 604715
- update to new version 0.03

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-3mdv2011.0
+ Revision: 555793
- rebuild for perl 5.12
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 403100
- rebuild using %%perl_convert_version

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.1
+ Revision: 295956
- import perl-Devel-GlobalDestruction


* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.1
- initial mdv release, generated with cpan2dist

